com.independentsoft.exchange

## Enum ContactSource

- java.lang.Object
- - java.lang.Enum<ContactSource>
  - - com.independentsoft.exchange.ContactSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContactSource>

      public enum ContactSource
      extends java.lang.Enum<ContactSource>

  Describes whether the contact is located in the Exchange store or Active Directory Domain Services (AD DS).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_DIRECTORY` Active directory.
    `NONE` None.
    `STORE` Store.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContactSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContactSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE_DIRECTORY

          public static final ContactSource ACTIVE_DIRECTORY

      Active directory.

    - #### STORE

          public static final ContactSource STORE

      Store.

    - #### NONE

          public static final ContactSource NONE

      None.

  - ### Method Detail

    - #### values

          public static ContactSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactSource c : ContactSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null